Groups

Update Group Gallery

PUT
/groups/{groupId}/galleries/{groupGalleryId}

Updates a gallery for a Group.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

groupId*string

Must be a valid group ID.

groupGalleryId*string

Must be a valid group gallery ID.

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X PUT "https://api.vrchat.cloud/api/1/groups/grp_00000000-0000-0000-0000-000000000000/galleries/ggal_00000000-0000-0000-0000-000000000000" \  -H "Content-Type: application/json" \  -d '{}'
{
  "createdAt": "2019-08-24T14:15:22Z",
  "description": "Example Description",
  "id": "ggal_a03a4b55-4ca6-4490-9519-40ba6351a233",
  "membersOnly": false,
  "name": "Example Gallery",
  "roleIdsToAutoApprove": [
    "grol_459d3911-f672-44bc-b84d-e54ffe7960fe"
  ],
  "roleIdsToManage": [
    "grol_459d3911-f672-44bc-b84d-e54ffe7960fe"
  ],
  "roleIdsToSubmit": [
    "grol_459d3911-f672-44bc-b84d-e54ffe7960fe"
  ],
  "roleIdsToView": [
    "grol_459d3911-f672-44bc-b84d-e54ffe7960fe"
  ],
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}
{
  "error": {
    "message": "Can't find groupǃ",
    "status_code": 404
  }
}